<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title th:text="|${actors.firstName} Details|">Actors Details</title>
</head>
<body>

<a th:href="@{/actors}">back</a>

<p></p>
<div class="btn-group" style="width:100%">
    <input type="button" onclick="location.href='/movies';" style=width:20%; value="Movies"/>
    <input type="button" onclick="location.href='/actors';" style=width:20%; value="Actors"/>
    <input type="button" onclick="location.href='/directors';" style=width:20%; value="Directors"/>
    <input type="button" onclick="location.href='/users';" style=width:20%; value="Users"/>
</div>


<!-- text has to be surrounded by `|` for multiple variables OR variable + text -->
<p th:text="|${actors.firstName} ${actors.lastName}|"></p>
<p th:if="${actors.movies.isEmpty()}">No movies!</p>

<ul th:unless="${actors.movies.isEmpty()}">
    <li th:each="movie : ${actors.movies}">
    <a th:href="@{/movies/{id}(id=${movie.id})}"
        th:text="|${movie.title} - ${movie.dateOfRelease}|"></a>
    </li>
</ul>


<!--<p th:if="${actors.getMovies().isEmpty()}">No movies!</p>-->

<!--<ul th:unless="${actors.getMovies().isEmpty()}">-->
<!--    <li th:each="movie : ${actors.getMovies()}"-->
<!--        th:text="|${movie.getName}|">-->
<!--    </li>-->
<!--</ul>-->



<!--<tr th:each="movie : ${actors.getMovies()}">-->



<!--    <td th:text="${movie.getId()}">123</td>-->

<!--    <td>-->

<!--           th:text="${movie.getTitle()}"></a>-->
<!--    </td>-->



<!--</tr>-->
<!--   &lt;!&ndash; <button type="button" onclick="delete">delete!</button> &ndash;&gt;-->



</form>
</body>
</html>